package com.yonge.cooleshow.biz.dal.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/4/21 11:29
 */
@ApiModel(value = "HomeTotalTeacher", description = "后台首页老师数据统计查询对象")
public class HomeTotalTeacher {
    @ApiModelProperty("老师注册量 ")
    private Integer registerNum;
    @ApiModelProperty("认证老师 ")
    private Integer entryNum;
    @ApiModelProperty("直播老师 ")
    private Integer liveNum;
    @ApiModelProperty("平台音乐人 ")
    private Integer musicianNum;
    @ApiModelProperty("时间（详情数据中使用） ")
    private String timeStr;
    @ApiModelProperty("详情数据 ")
    private List<HomeTotalTeacher> infoList;

    public Integer getRegisterNum() {
        return registerNum;
    }

    public void setRegisterNum(Integer registerNum) {
        this.registerNum = registerNum;
    }

    public Integer getEntryNum() {
        return entryNum;
    }

    public void setEntryNum(Integer entryNum) {
        this.entryNum = entryNum;
    }

    public Integer getLiveNum() {
        return liveNum;
    }

    public void setLiveNum(Integer liveNum) {
        this.liveNum = liveNum;
    }

    public Integer getMusicianNum() {
        return musicianNum;
    }

    public void setMusicianNum(Integer musicianNum) {
        this.musicianNum = musicianNum;
    }

    public String getTimeStr() {
        return timeStr;
    }

    public void setTimeStr(String timeStr) {
        this.timeStr = timeStr;
    }

    public List<HomeTotalTeacher> getInfoList() {
        return infoList;
    }

    public void setInfoList(List<HomeTotalTeacher> infoList) {
        this.infoList = infoList;
    }
}